metadata:
  name: qcomlt-test-plan-debian-rb5-linux
  description: Qualcomm Robotics RB5 Test Plan
  os: debian
  devices:
    - qrb5165-rb5
  maintainer:
    - anibal.limon@linaro.org
    - nicolas.dechesne@linaro.org
  approver:
    - anibal.limon@linaro.org
  owner:
    - Anibal Limon
  format: Linaro Test Plan v2
  version: 0.1

tests:
  automated:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/smoke/smoke.yaml
      name: linux-smoke
      params: 
        TESTS: 'pwd, uname -a, ip a, vmstat, lsblk'
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/usb-smoke/usb-smoke-test.yaml
      name: linux-usb-smoke
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/toolchain-smoke/toolchain-smoke.yaml
      name: linux-toolchain-smoke
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-device-tree
      path: automated/linux/device-tree/device-tree.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: meminfo
      path: automated/linux/meminfo/meminfo.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-dd-wr-speed
      path: automated/linux/dd-wr-speed/dd-wr-speed.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-sysbench
      path: automated/linux/sysbench/sysbench.yaml
      params:
        NUM_THREADS: 4
        TESTS: 'cpu memory threads mutex'
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-device-read-perf
      path: automated/linux/device-read-perf/device-read-perf.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-hackbench
      path: automated/linux/hackbench/hackbench.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-linpack
      path: automated/linux/linpack/linpack.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-openssl-speed
      path: automated/linux/openssl/openssl-speed.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-stream-uniprocessor
      path: automated/linux/stream/stream-uniprocessor.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-pi-stress
      path: automated/linux/pi-stress/pi-stress.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-pm-qa
      path: automated/linux/pm-qa/pm-qa.yaml
      params:
        TESTS: 'cpufreq cpuidle cpuhotplug cputopology'
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      name: linux-containers
      path: automated/linux/docker/docker.yaml
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/wlan-smoke/wlan-smoke.yaml
      params:
        DEVICE: wlp1s0
      name: linux-wlan-smoke
      timeout:
        minutes: 5
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/wlan-download/wlan-download.yaml
      params:
        DEVICE: wlp1s0
        ETHERNET_DEVICE: enx000ec6817901
        SSID_NAME: LAVATESTX
        SSID_PASSWORD: NepjqGbq
        FILE_URL: http://testdata.validation.linaro.org/stress/stress-network.img
        FILE_CHECKSUM: e5c834fbdaa6bfd8eac5eb9404eefdd4
        TIME_DELAY: 0s
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/hci-smoke/hci-smoke.yaml
      params:
        BOOT: auto
      name: linux-hci-smoke
      timeout:
        minutes: 5
